%global realname protobuffs
%global upstream basho
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	0.8.2
Release:	1%{?dist}
Summary:	A set of Protocol Buffers tools and modules for Erlang applications
Group:		Development/Libraries
License:	MIT
URL:		https://github.com/%{upstream}/erlang_%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/erlang_%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/erlang_%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-meck
# FIXME
#BuildRequires:	erlang-proper
BuildRequires:	erlang-rebar


%description
A set of Protocol Buffers tools and modules for Erlang applications.


%prep
%setup -q -n erlang_%{realname}-%{version}
# FIXME
sed -i -e "s,0\.8\.2,\.\*,g" rebar.config
sed -i -e "s,git,\"%{version}\",g" src/%{realname}.app.src


%build
%{rebar_compile}


%install
install -d %{buildroot}%{_erllibdir}/%{realname}-%{version}/ebin/
install -m 644 ebin/pokemon_pb.beam ebin/%{realname}.app ebin/%{realname}*.beam %{buildroot}%{_erllibdir}/%{realname}-%{version}/ebin/
# Install Erlang protobuf compiler script
install -D -p -m 755 bin/protoc-erl %{buildroot}%{_bindir}/protoc-erl


%check
rebar eunit skip_deps=true -v
rebar ct skip_deps=true -v


%files
%doc AUTHORS README.markdown
%{_bindir}/protoc-erl
%{_erllibdir}/%{realname}-%{version}/


%changelog
* Wed Mar  2 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.8.2-1
- Ver. 0.8.2

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Sep 01 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.8.0-3
- Fixed FTBFS by adding workaround for rebar-related issue #960079

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 03 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.8.0-1
- Ver. 0.8.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.7.0-1
- Upstream is switched to Basho
- Ver. 0.7.0
- Dropped all Basho's patches

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20100930git58ff962
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20100930git58ff962
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Mar 11 2011 Peter Lemenkov <lemenkov@gmail.com> -  0-0.4.20100930git58ff962
- Added three patches from Basho's fork (required for riak_client)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20100930git58ff962
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct  5 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2.20100930git58ff962
- Fixed License tag

* Thu Sep 30 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.20100930git58ff962
- Initial package
